<div class="store-detail mb-5" *ngIf="storeInfo">
  <div class="store-wrap">
    <div class="store-logo">
      <span *ngIf="isImageLogo">
        <img [src]="storeInfo.storeLogo">
      </span>
      <span [ngStyle]="{'color': storeInfo.storeTextColor }" class="logo-txt-style" *ngIf="!isImageLogo">
        {{storeInfo.storeTextLogo}}
      </span>
    </div>
    <div class="store-address">
      <div class="store-title">{{storeInfo.companyName}}</div>
      <div class="rating-icon">{{storeInfo.vendorRating }} ★</div>
      <div class="store-add">{{storeInfo.addressLineOne}}, {{storeInfo.addressLineTwo}}<br>
        {{storeInfo.cityName}}, {{storeInfo.stateName}}, {{storeInfo.countryName}}<br>
        {{storeInfo.vendorMobile}}
      </div>
      <div>
        <button (click)="getLocationOnMap()" mat-raised-button>{{'buttonDirection' | translate: lang}}</button>
      </div>
    </div>
  </div>
  <div class="store-distance">
    <div class="store-img">
      <img [src]="storeInfo.storeImage ? storeInfo.storeImage : 'assets/images/default-store.png'" />
      <span><i class="material-icons">room</i> {{storeInfo.storeDistance}}</span>
    </div>
  </div>
</div>

<div *ngIf="storeInfo" class="store-title">{{storeInfo.companyName}} {{'LABEL_PRODUCTS' | translate: lang}}</div>
<div>
  <div class="product-wrap">
    <span *ngIf="productTotalLength > 0">
      <div class="row">
        <div class="col-md-3 mt-2 mb-2" *ngFor="let products of productList">
          <app-product-tile [productDetail]="products" [compareCount]="compareCount" [from]="productFrom" (productAction)="getProductActionDetails($event)"></app-product-tile>
        </div>
      </div>
      <div class="showmore-wrap">
        <div *ngIf="productTotalLength > productList.length">
          <button mat-raised-button class="show-more" (click)="showMoreProducts()">
            <i class="fa fa-plus-circle"></i> {{ 'buttonShowMore' | translate:lang }}</button>
        </div>
      </div>
    </span>
    <div class="nodata-found-wrap" *ngIf="productTotalLength === 0">
      {{'lableNoProducts' | translate: lang}}
    </div>
  </div>
</div>